Bug 657593 - traceback when version contains only epoch
traceback when version contains only epoch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 12:31 EST by Roman Rakus
Modified: 2014-01-12 19:13 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-1.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-30 23:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes it (603 bytes, patch)
2010-11-26 12:31 EST, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2010-11-26 12:31:18 EST
Created attachment 463109 [details]
This patch fixes it

Description of problem:
Acording to http://www.rpm.org/max-rpm-snapshot/s1-rpm-depend-manual-dependencies.html, it's valid to check version only for epoch

Version-Release number of selected component (if applicable):
rpmlint-1.0-1.fc15.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create some spec file containing `Obsoletes: foo < %{epoch}:'
2. Build the package
3. rpmlint package
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/rpmlint/rpmlint.py", line 364, in <module>
    main()
  File "/usr/share/rpmlint/rpmlint.py", line 159, in main
    runChecks(pkg)
  File "/usr/share/rpmlint/rpmlint.py", line 219, in runChecks
    check.check(pkg)
  File "/usr/share/rpmlint/TagsCheck.py", line 787, in check
    value = apply(Pkg.formatRequire, o)
  File "/usr/share/rpmlint/Pkg.py", line 305, in formatRequire
    s = "%s %s" % (s, versionToString(evr))
  File "/usr/share/rpmlint/Pkg.py", line 315, in versionToString
    ret += evr[1]
TypeError: cannot concatenate 'str' and 'NoneType' objects


Expected results:
Success run.

Additional info:
Does not traceback when running on spec file or SRPM
Comment 1 Ville Skyttä 2010-11-27 15:34:28 EST
Thanks, applied upstream.
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1816
Comment 2 Fedora Admin XMLRPC Client 2010-12-07 16:18:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2011-04-24 22:09:46 EDT
rpmlint-1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
Comment 4 Fedora Update System 2011-04-24 22:10:13 EDT
rpmlint-1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc15
Comment 5 Fedora Update System 2011-04-24 22:10:41 EDT
rpmlint-1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc13
Comment 6 Fedora Update System 2011-04-25 16:54:06 EDT
Package rpmlint-1.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-04-30 23:26:31 EDT
rpmlint-1.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-05-03 20:59:57 EDT
rpmlint-1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-05-03 21:01:14 EDT
rpmlint-1.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.